<?php
 
if (!defined('SMF'))
{
   if(file_exists(dirname(__FILE__) . '/SSI.php'))
           include_once(dirname(__FILE__) . '/SSI.php');
   else
           die('<strong>Error</strong>: Please make sure you have SSI.php in your root directory.');
}
 
        global $db_prefix;
 
// get rid of the original tables
db_query("DROP TABLE IF EXISTS {$db_prefix}download_quota", __FILE__, __LINE__);
db_query("DROP TABLE IF EXISTS {$db_prefix}download_usage", __FILE__, __LINE__);
 
// create the tables
db_query("
CREATE TABLE `{$db_prefix}download_quota` (
  `ID_GROUP` smallint(5) unsigned NOT NULL,
  `daily_quota` int(10) unsigned NOT NULL,
  `exempt` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`ID_GROUP`)
)
", __FILE__, __LINE__);
db_query("
CREATE TABLE  `{$db_prefix}download_usage` (
`ID_MEMBER` MEDIUMINT( 8 ) UNSIGNED NOT NULL ,
`quota_used` INT UNSIGNED NOT NULL ,
`timestamp` INT UNSIGNED NOT NULL ,
PRIMARY KEY (  `ID_MEMBER` )
)
", __FILE__, __LINE__);
 
// populate the table with defaults
db_query("
	INSERT INTO {$db_prefix}download_quota (ID_GROUP, daily_quota, exempt)
	VALUES (
		'1',  '0',  '1'
	), (
		'2',  '0',  '1'
	), (
		'3',  '10000',  '0'
	)
", __FILE__, __LINE__);
 

?>