<?php
 
if (!defined('SMF'))
{
	if(file_exists(dirname(__FILE__) . '/SSI.php'))
		include_once(dirname(__FILE__) . '/SSI.php');
	else
		die('<strong>Error</strong>: Please make sure you have SSI.php in your root directory.');
}
 
global $db_prefix, $smcFunc;

db_extend('packages');

$smcFunc['db_create_table'](
	'{db_prefix}download_quota',
	array(
		array(
			'name' => 'id_group',
			'type' => 'smallint',
			'size' => 5,
			'null' => false,
			'default' => 0,
			'unsigned' => true,
		),
		array(
			'name' => 'daily_quota',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'default' => 0,
			'unsigned' => true,
		),
		array(
			'name' => 'exempt',
			'type' => 'tinyint',
			'size' => 3,
			'default' => 0,
			'null' => false,
			'unsigned' => true,
		),
	),
	array(
		array(
			'type' => 'primary',
			'columns' => array('id_group'),
		),
	),
	array()
);
 
$smcFunc['db_create_table'](
	'{db_prefix}download_usage',
	array(
		array(
			'name' => 'id_member',
			'type' => 'mediumint',
			'size' => 8,
			'null' => false,
			'default' => 0,
			'unsigned' => true,
		),
		array(
			'name' => 'quota_used',
			'type' => 'int',
			'size' => 10,
			'null' => false,
			'default' => 0,
			'unsigned' => true,
		),
		array(
			'name' => 'timestamp',
			'type' => 'int',
			'size' => 10,
			'default' => 0,
			'null' => false,
			'unsigned' => true,
		),
	),
	array(
		array(
			'type' => 'primary',
			'columns' => array('id_member'),
		),
	),
	array()
);

$smcFunc['db_insert'](
	'ignore',
	'{db_prefix}download_quota',
	array(
		'id_group' => 'int', 'daily_quota' => 'int', 'exempt' => 'int',
	),
	array(
		array(1, 0, 1),
		array(2, 0, 1),
		array(3, 10000, 0),
	),
	array('id_group')
);

?>